SYNC(2)

NAME
sync - update super-block

SYNOPSIS
sync()

DESCRIPTION
Sync causes all information in core memory that should be on disk to be written out. This includes modified super blocks, modified i-nodes, and delayed block I/O.

Sync should be used by programs that examine a file system, for example fsck, df, etc. Sync is mandatory before a boot.

SEE ALSO
fsync(2), sync(8), update(8)

BUGS
The writing, although scheduled, is not necessarily complete upon return from sync.